Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateRevocationContractResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GenerateRevocationContractResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateRevocationContractResponse extends StatusResponseType implements Serializable
Response containing the revocation contract in XML format. The XML also contains a human-readable HTML contract in french and dutch that must be shown to the end user so that they know what they are signing. The contract contained in this response must be sent as-is in the RevokeRequest.

Java class for GenerateRevocationContractResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateRevocationContractResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationContractType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateRevocationContractResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevocationContractType`
  `getContract()`
  This server generated contract must be used as part of the revocation request.
  `void`
  `setContract(RevocationContractType value)`
  Sets the value of the contract property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateRevocationContractResponse

    public GenerateRevocationContractResponse()

- ## Method Details

  - ### getContract

    public RevocationContractType getContract()
    This server generated contract must be used as part of the revocation request.
    Returns:
      possible object is `RevocationContractType`

  - ### setContract

    public void setContract(RevocationContractType value)
    Sets the value of the contract property.
    Parameters:
      `value` - allowed object is `RevocationContractType`
    See Also:
      - `getContract()`